Subject: Progressing the adoption of milestones against the new charter

From: Ben Niven-Jenkins <[email-masked]>
Date: Mon, 16 Aug 2010 18:26:24 +0100

Colleagues,

In Maastricht we had some discussion on possible milestones to put with the new charter before taking it for approval. 

I am keen that we quickly converge on a set of milestones that have WG consensus so that we can progress with getting our charter updated. From the comments made during the meeting and from other conversations I have had I think we can split the original set of proposed milestones I presented in Maastricht into three categories:

1) Those where there appears to be consensus to include/accept.

2) Those where further discussion is required before we can judge consensus to include/accept.

3) Those that are valid milestones but which we are not in a position to make a determination on yet for some reason.

I will shortly send out two further e-mails - one covering category (1) above and one covering category (2), please read and respond as appropriate to those e-mails, however in summary I will be asking if there is WG consensus to adopt the proposed milestones in category (1) in one e-mail and covering category (2) in a separate e-mail in the hope that we can reach quick consensus on some milestones and progress the charter update while restricting any lengthy discussion to a different e-mail thread.

Regarding category (3), we currently have two possible milestones that were included in my slides at Maastricht that fall into this category, which I will address below:

a) Submit specification for modifying Route Targets by BGP Route Reflectors including when the VRFs are on the same PEs as PS.

The authors of draft-ietf-l3vpn-acceptown-community which would be the core of this milestone have indicated they would like to wait for an implementation of the draft to be produced before progressing it further which makes putting a milestone against it difficult, so it seems reasonable to leave it out of any milestones for the time being until a clearer timeline for progressing the draft is known.

b) Submit specification for fast failover in (M)VPN to IESG as TBD

I am waiting on input from the authors of draft-morin-l3vpn-mvpn-fast-failover which could (with WG consensus) form the basis of this milestone so I have left it out for the time being. We can always include a milestone on fast failover at a later date should there be WG consensus to do so.

Finally I would like to make clear that a piece of work not being in the milestones does not prevent individuals or the WG from working on it, or it being accepted as a WG document at some point, etc. The milestones are there to guide our work and serve as a loose prioritisation of tasks that consume WG & WG Chair time but should not be used as a barrier to doing work that the WG feels is important.

Thanks
Ben